Package org.flywaydb.core.api

## Enum ErrorCode

- java.lang.Object
- - java.lang.Enum<ErrorCode>
  - - org.flywaydb.core.api.ErrorCode

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ErrorCode>`

      public enum ErrorCode
      extends java.lang.Enum<ErrorCode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `APPLIED_REPEATABLE_MIGRATION_NOT_RESOLVED` |
    `APPLIED_VERSIONED_MIGRATION_NOT_RESOLVED` |
    `CHECKSUM_MISMATCH` |
    `CONFIGURATION` |
    `DB_CONNECTION` |
    `DESCRIPTION_MISMATCH` |
    `DUPLICATE_DELETED_MIGRATION` |
    `DUPLICATE_REPEATABLE_MIGRATION` |
    `DUPLICATE_UNDO_MIGRATION` |
    `DUPLICATE_VERSIONED_MIGRATION` |
    `ERROR` |
    `FAILED_REPEATABLE_MIGRATION` |
    `FAILED_VERSIONED_MIGRATION` |
    `FAULT` |
    `JDBC_DRIVER` |
    `OUTDATED_REPEATABLE_MIGRATION` |
    `RESOLVED_REPEATABLE_MIGRATION_NOT_APPLIED` |
    `RESOLVED_VERSIONED_MIGRATION_NOT_APPLIED` |
    `SCHEMA_DOES_NOT_EXIST` |
    `TYPE_MISMATCH` |
    `VALIDATE_ERROR` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ErrorCode` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ErrorCode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FAULT

          public static final ErrorCode FAULT

    - #### ERROR

          public static final ErrorCode ERROR

    - #### JDBC_DRIVER

          public static final ErrorCode JDBC_DRIVER

    - #### DB_CONNECTION

          public static final ErrorCode DB_CONNECTION

    - #### CONFIGURATION

          public static final ErrorCode CONFIGURATION

    - #### DUPLICATE_VERSIONED_MIGRATION

          public static final ErrorCode DUPLICATE_VERSIONED_MIGRATION

    - #### DUPLICATE_REPEATABLE_MIGRATION

          public static final ErrorCode DUPLICATE_REPEATABLE_MIGRATION

    - #### DUPLICATE_UNDO_MIGRATION

          public static final ErrorCode DUPLICATE_UNDO_MIGRATION

    - #### DUPLICATE_DELETED_MIGRATION

          public static final ErrorCode DUPLICATE_DELETED_MIGRATION

    - #### VALIDATE_ERROR

          public static final ErrorCode VALIDATE_ERROR

    - #### SCHEMA_DOES_NOT_EXIST

          public static final ErrorCode SCHEMA_DOES_NOT_EXIST

    - #### FAILED_REPEATABLE_MIGRATION

          public static final ErrorCode FAILED_REPEATABLE_MIGRATION

    - #### FAILED_VERSIONED_MIGRATION

          public static final ErrorCode FAILED_VERSIONED_MIGRATION

    - #### APPLIED_REPEATABLE_MIGRATION_NOT_RESOLVED

          public static final ErrorCode APPLIED_REPEATABLE_MIGRATION_NOT_RESOLVED

    - #### APPLIED_VERSIONED_MIGRATION_NOT_RESOLVED

          public static final ErrorCode APPLIED_VERSIONED_MIGRATION_NOT_RESOLVED

    - #### RESOLVED_REPEATABLE_MIGRATION_NOT_APPLIED

          public static final ErrorCode RESOLVED_REPEATABLE_MIGRATION_NOT_APPLIED

    - #### RESOLVED_VERSIONED_MIGRATION_NOT_APPLIED

          public static final ErrorCode RESOLVED_VERSIONED_MIGRATION_NOT_APPLIED

    - #### OUTDATED_REPEATABLE_MIGRATION

          public static final ErrorCode OUTDATED_REPEATABLE_MIGRATION

    - #### TYPE_MISMATCH

          public static final ErrorCode TYPE_MISMATCH

    - #### CHECKSUM_MISMATCH

          public static final ErrorCode CHECKSUM_MISMATCH

    - #### DESCRIPTION_MISMATCH

          public static final ErrorCode DESCRIPTION_MISMATCH

  - ### Method Detail

    - #### values

          public static ErrorCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ErrorCode c : ErrorCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ErrorCode valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null